# -*- coding: utf-8 -*-
from odoo import models


class MergePartnerAutomatic(models.TransientModel):
    """
        Wizard override to extend rights of employees with the "Edit VAT" group for
        contacts merging
    """
    _inherit = 'base.partner.merge.automatic.wizard'

    def _merge(self, partner_ids, dst_partner=None, extra_checks=True):
        if self.env.user.has_group('openerp_enterprise.group_edit_vat'):
            extra_checks = False
        return super(MergePartnerAutomatic, self)._merge(
            partner_ids, dst_partner, extra_checks=extra_checks)
